package com.intershop.support.component.mycoupon.internal;

import com.intershop.beehive.businessobject.capi.AbstractBusinessObjectExtension;
import com.intershop.beehive.businessobject.capi.MissingExtensionException;
import com.intershop.component.application.capi.ApplicationBO;
import com.intershop.support.component.mycoupon.capi.ApplicationBOMyCouponExtension;
import com.intershop.support.component.mycoupon.capi.MyCouponBORepository;

public class ApplicationBOMyCouponExtensionImpl extends AbstractBusinessObjectExtension<ApplicationBO>
                implements ApplicationBOMyCouponExtension
{
    public ApplicationBOMyCouponExtensionImpl(String extensionID, ApplicationBO extendedObject)
    {
        super(extensionID, extendedObject);
    }

    @Override
    public MyCouponBORepository getMyCouponBORepository()
    {
        MyCouponBORepository myCouponBORepository = getExtendedObject()
                        .getRepository(MyCouponBORepository.EXTENSION_ID);

        if (myCouponBORepository == null)
        {
            throw new MissingExtensionException("MyCouponBORepository " + MyCouponBORepository.class);
        }

        return myCouponBORepository;
    }
}